#include "test.h"
#include "doy.h"

using namespace mrbesen::doy;

int testGetDoy() {

	//wird nur ohne timezone getestet!

	ASSERT(getDOY(false, 1) == 1, ""); //01.01.1970
	ASSERT(getDOY(false, 31449600) == 365, ""); //31.12.1970 00:00:00
	ASSERT(getDOY(false, 31535999) == 365, ""); //31.12.1970 23:59:59

	ASSERT(getDOY(false, 31536000) == 1, ""); //01.01.1971 00:00:00

	ASSERT(getDOY(false, 131284800) == 59, ""); //28.02.1974 12:00:00

	return TESTGOOD;
}